aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorpmikus <pmikus@cisco.com>2021-08-11 07:18:46 +0000
committerPeter Mikus <pmikus@cisco.com>2021-08-11 07:22:33 +0000
commit0776d38ff1a0eb5e7634f6409f3cfe953456cbc3 (patch)
treecb734f605744961c68adf2b9ad6763c2a2ee46d0
parent65402e1774204ad541201d748768037453fb2f25 (diff)
Infra: Add terraform no-color output.
Signed-off-by: pmikus <pmikus@cisco.com> Change-Id: I851e979c9b0db41c83facb92010c1b16885ee5a0 (cherry picked from commit 6de5c7fc4524c5121ed00dc2fa3ab34301d45215) (cherry picked from commit 29d8ac190da8ff0a975614e3aad2f56ebe1b5efd)
-rw-r--r--resources/libraries/bash/function/terraform.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/resources/libraries/bash/function/terraform.sh b/resources/libraries/bash/function/terraform.sh
index c076f52859..5313b62545 100644
--- a/resources/libraries/bash/function/terraform.sh
+++ b/resources/libraries/bash/function/terraform.sh
@@ -34,7 +34,7 @@ function terraform_apply () {
pushd "${CSIT_DIR}"/fdio.infra.terraform || die "Pushd failed!"
pushd "${NODENESS}_${FLAVOR}_c5n" || die "Pushd failed!"
export TF_LOG=INFO
- terraform apply -auto-approve || die "Failed to run terraform apply!"
+ terraform apply -no-color -auto-approve || die "Terraform apply failed!"
popd || die "Popd failed!"
popd || die "Popd failed!"
}
@@ -57,7 +57,7 @@ function terraform_destroy () {
pushd "${CSIT_DIR}"/fdio.infra.terraform || die "Pushd failed!"
pushd "${NODENESS}_${FLAVOR}_c5n" || die "Pushd failed!"
export TF_LOG=INFO
- terraform destroy -auto-approve || die "Failed to run terraform destroy!"
+ terraform destroy -auto-approve -no-color || die "Terraform destroy failed!"
popd || die "Popd failed!"
popd || die "Popd failed!"
}